# Couenne::CouenneOSInterface Class Reference

`#include <CouenneOSInterface.hpp>`

Inheritance diagram for Couenne::CouenneOSInterface:

List of all members.

## Public Member Functions
| CouenneOSInterface (Ipopt::SmartPtr< Ipopt::OptionsList > options_, Ipopt::SmartPtr< Ipopt::Journalist > jnlst_)
| ~CouenneOSInterface ()
CouenneProblem * | getCouenneProblem ()
| Should return the problem to solve in algebraic form.
Ipopt::SmartPtr< Bonmin::TMINLP > | getTMINLP ()
| Should return the problem to solve as TMINLP.
bool | writeSolution (Bonmin::Bab &bab)
| Called after B&B finished.
## Static Public Member Functions
static void | registerOptions (Ipopt::SmartPtr< Bonmin::RegisteredOptions > roptions)
## Private Attributes
CouenneProblem * | problem
Ipopt::SmartPtr< Bonmin::TMINLP > | tminlp
OSInstance * | osinstance

## Detailed Description

Definition at line 36 of file CouenneOSInterface.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneOSInterface::CouenneOSInterface | ( | Ipopt::SmartPtr< Ipopt::OptionsList > | options_,
|  | Ipopt::SmartPtr< Ipopt::Journalist > | jnlst_ |
| ) |  |  | `[inline]`

Definition at line 46 of file CouenneOSInterface.hpp.

Couenne::CouenneOSInterface::~CouenneOSInterface | ( |  | ) |

## Member Function Documentation

static void Couenne::CouenneOSInterface::registerOptions | ( | Ipopt::SmartPtr< Bonmin::RegisteredOptions > | roptions | ) | `[static]`

CouenneProblem* Couenne::CouenneOSInterface::getCouenneProblem | ( |  | ) | `[virtual]`

Should return the problem to solve in algebraic form.

NOTE: Couenne is (currently) going to modify this problem!

Implements Couenne::CouenneUserInterface.

Ipopt::SmartPtr<Bonmin::TMINLP> Couenne::CouenneOSInterface::getTMINLP | ( |  | ) | `[virtual]`

Should return the problem to solve as TMINLP.

Implements Couenne::CouenneUserInterface.

bool Couenne::CouenneOSInterface::writeSolution | ( | Bonmin::Bab & | bab | ) | `[virtual]`

Called after B&B finished.

Should write solution information.

Reimplemented from Couenne::CouenneUserInterface.

## Member Data Documentation

CouenneProblem* Couenne::CouenneOSInterface::problem`[private]`

Definition at line 38 of file CouenneOSInterface.hpp.

Ipopt::SmartPtr<Bonmin::TMINLP> Couenne::CouenneOSInterface::tminlp`[private]`

Definition at line 39 of file CouenneOSInterface.hpp.

OSInstance* Couenne::CouenneOSInterface::osinstance`[private]`

Definition at line 41 of file CouenneOSInterface.hpp.

The documentation for this class was generated from the following file:

- CouenneOSInterface.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines